import React, {Component} from 'react';
import {TabBar} from 'antd-mobile'

class Footer extends Component {
    state={
        current: ''
    }
    componentDidMount() {
        const keysArray = this.props.location.pathname.replace(`${this.props.match.path}/`, '').split("/");
        keysArray.length > 0 && this.setState({current: keysArray[0]})
    }
    tabClick = (key, path) => {
       this.setState({current: key})
        this.props.history.push(path)
    }

    render() {
        const tabItem = [
            {title: '待办', key: 'backlog', icon: '', selectedIcon: '', badge: '', onPress: '/bord/backlog'},
            {title: '工作', key: 'work', icon: '', selectedIcon: '', badge: '', onPress: '/bord/work'},
            {title: '通讯录', key: 'communicate', icon: '', selectedIcon: '', badge: '', onPress: '/bord/communicate'},
            {title: '通知', key: 'notice', icon: '', selectedIcon: '', badge: '', onPress: '/bord/notice'}
        ];

        return (
            <div style={{ position: 'fixed', width: '100%', bottom: 0 }}>
                <TabBar
                    unselectedTintColor="#949494"
                    tintColor="#33A3F4"
                    barTintColor="white"
                >
                    {tabItem.map(item => (
                        <TabBar.Item
                            key={item.key}
                            title={item.title}
                            icon={<div style={{
                                width: '22px',
                                height: '22px',
                                background: `url(https://zos.alipayobjects.com/rmsportal/sifuoDUQdAFKAVcFGROC.svg) center center /  22px 22px no-repeat`
                            }}/>}
                            selectedIcon={<div style={{
                                width: '22px',
                                height: '22px',
                                background: `url(https://zos.alipayobjects.com/rmsportal/sifuoDUQdAFKAVcFGROC.svg) center center /  22px 22px no-repeat`
                            }}/>}
                            badge={item.badge || null}
                            onPress={() => this.tabClick(item.key, item.onPress)}
                            selected={this.state.current === item.key}
                        />
                    ))}
                </TabBar>
            </div>
        );
    }
}

export default Footer;



